import { Maybe } from '@/core';
import { apiEnumTranslates } from '@/shared/apiEnum/constants';

const translates = {
  COUNT: 'تعداد',
  GRAM: 'گرم',
  KILOGRAM: 'کیلوگرم',
  METER: 'متر',
  MILLILITER: 'میلی‌لیتر',
  LITER: 'لیتر',
  HOUR: 'ساعت',
};

export function enumTranslator(key: Maybe<string>): string {
  if (!key) {
    return '';
  }
  // @ts-ignore
  return apiEnumTranslates[key] || translates[key] || key;
}
